Verify a payment card or payment tokenpost https://cert.api.firstdata.com/gateway/v2/account-verificationUse this to perform an account verification for a payment card or payment tokenBody ParamsAccepted request type: PaymentCardVerificationRequest and PaymentTokenVerificationRequest.PaymentCardVerificationRequestPaymentTokenVerificationRequestrequestTypestringrequiredObject name of the account verification request.billingAddressobjectAddress information that is passed to the issuer (it may appear on the cardholder’s statement) or if merchant wants to pass information that differs from the information stored on our master file.billingAddress objectstoreIdstringlength ≤ 20An optional outlet ID for clients that support multiple stores in the same app.merchantTransactionIdstringlength ≤ 40The unique merchant transaction ID from the request, if supplied.transactionOriginstringenumThe source of the transaction. The possible values are ECOM (if the order was received via email or Internet), MOTO (mail order, telephone order), MAIL, PHONE and RETAIL (face to face).ECOMECOMMOTOMAILPHONERETAILAllowed:ECOMMOTOMAILPHONERETAILadditionalDetailsobjectMerchant supplied tracking numbers.additionalDetails objectpaymentCardobjectrequiredPayment card model.paymentCard objectHeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.Responses 200Success response. 400The request cannot be validated. 401The request was unauthorized. 404The requested resource doesn't exist. 409There was a problem communicating with the endpoint. 422There was a problem communicating with the endpoint. 500An unexpected internal server error occurred.Updated 8 months ago